import { Server } from 'socket.io'

import { BaseCommand } from '#application/base/baseCommand'

type CommandInput = string[]

export default class AlertCommand extends BaseCommand {
  public execute(input: CommandInput): void {
    const message: string = input.join(' ') ?? null
    if (!message) return console.log('message is required')
    this.io.emit('notification', { message: message })
  }
}
